PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
plask::thermal::tstatic::Bc< T > Struct Template Reference
Collaboration diagram for plask::thermal::tstatic::Bc< T >:
[legend]

## Public Member Functions
| Bc (const char *doc)
const char * | NAME
const char * | FIRST
double & | first (Convection &self)
const char * | NAME
const char * | FIRST
double & | first (Radiation &self)

## Static Public Member Functions
static double & | first (T &self)
static void * | convertible (PyObject *obj)
static void | construct (PyObject *obj, boost::python::converter::rvalue_from_python_stage1_data *data)
static std::string | __str__ (T &self)
static std::string | __repr__ (T &self)
static double | __getitem__ (T &self, const std::string &key)
static void | __setitem__ (T &self, const std::string &key, double value)

## Static Public Attributes
static const char * | NAME
static const char * | FIRST

## Detailed Description

template<typename T>
struct plask::thermal::tstatic::Bc< T >

Definition at line 28 of file therm_python.cpp.

## Constructor & Destructor Documentation

## ◆ Bc()

template<typename T >

plask::thermal::tstatic::Bc< T >::Bc | ( | const char * | doc | ) |
| inline

Definition at line 48 of file therm_python.cpp.

## Member Function Documentation

## ◆ __getitem__()

template<typename T >

static double plask::thermal::tstatic::Bc< T >::__getitem__ | ( | T & | self,
|  | const std::string & | key
| ) |  |
| inline static

Definition at line 66 of file therm_python.cpp.

## ◆ __repr__()

template<typename T >

static std::string plask::thermal::tstatic::Bc< T >::__repr__ | ( | T & | self | ) |
| inline static

Definition at line 62 of file therm_python.cpp.

## ◆ __setitem__()

template<typename T >

static void plask::thermal::tstatic::Bc< T >::__setitem__ | ( | T & | self,
|  | const std::string & | key,
|  | double | value
| ) |  |
| inline static

Definition at line 72 of file therm_python.cpp.

## ◆ __str__()

template<typename T >

static std::string plask::thermal::tstatic::Bc< T >::__str__ | ( | T & | self | ) |
| inline static

Definition at line 58 of file therm_python.cpp.

## ◆ construct()

template<typename T >

static void plask::thermal::tstatic::Bc< T >::construct | ( | PyObject * | obj,
|  | boost::python::converter::rvalue_from_python_stage1_data * | data
| ) |  |
| inline static

Definition at line 39 of file therm_python.cpp.

## ◆ convertible()

template<typename T >

static void * plask::thermal::tstatic::Bc< T >::convertible | ( | PyObject * | obj | ) |
| inline static

Definition at line 35 of file therm_python.cpp.

## ◆ first() [1/3]

template<typename T >

static double & plask::thermal::tstatic::Bc< T >::first | ( | T & | self | ) |
| inline static

## ◆ FIRST() [1/2]

const char * plask::thermal::tstatic::Bc< Convection >::FIRST

Definition at line 81 of file therm_python.cpp.

## ◆ first() [2/3]

double & plask::thermal::tstatic::Bc< Convection >::first | ( | Convection & | self | ) |

Definition at line 82 of file therm_python.cpp.

## ◆ FIRST() [2/2]

const char * plask::thermal::tstatic::Bc< Radiation >::FIRST

Definition at line 85 of file therm_python.cpp.

## ◆ first() [3/3]

double & plask::thermal::tstatic::Bc< Radiation >::first | ( | Radiation & | self | ) |

Definition at line 86 of file therm_python.cpp.

## ◆ NAME() [1/2]

const char * plask::thermal::tstatic::Bc< Convection >::NAME

Definition at line 80 of file therm_python.cpp.

## ◆ NAME() [2/2]

const char * plask::thermal::tstatic::Bc< Radiation >::NAME

Definition at line 84 of file therm_python.cpp.

## Member Data Documentation

## ◆ FIRST

template<typename T >

const char* plask::thermal::tstatic::Bc< T >::FIRST
| static

Definition at line 31 of file therm_python.cpp.

## ◆ NAME

template<typename T >

const char* plask::thermal::tstatic::Bc< T >::NAME
| static

Definition at line 30 of file therm_python.cpp.

The documentation for this struct was generated from the following file:

- solvers/thermal/static/python/therm_python.cpp